part of 'verify_otp_bloc.dart';

abstract class VerifyOtpEvent extends Equatable {
  const VerifyOtpEvent();
  @override
  List<Object> get props => [];
}

class VerifyOtpOnSubmit extends VerifyOtpEvent {
  final String otpId;
  final String otp;

  VerifyOtpOnSubmit({
    @required this.otpId,
    @required this.otp,
  })  : assert(otpId != null),
        assert(otp != null);

  @override
  List<Object> get props => [otp, otpId];
}
